SPARC boot failed: Illegal Instruction

Bug #40119 reported by Oibaf
56
Affects Status Importance Assigned to Milestone
Ubuntu
Medium
Unassigned
linux-source-2.6.15 (Ubuntu)
Medium
Unassigned
silo (Ubuntu)
Medium
Unassigned
Warty
Undecided
Unassigned
Hoary
Undecided
Unassigned
Breezy
Undecided
Unassigned
Dapper
Undecided
Unassigned

Bug Description

I have downloaded the CD image dated 17 april from here:
http://ports.ubuntu.com/ubuntu-ports/dists/dapper/main/installer-sparc/current/images/combined/2.6/mini.iso

I am using a SunFire v240. Booting from the CD image I get this error:

boot: expert
Allocated 8 Megs of memory at 0x40000000 for kernel
Uncompressing image...
Loaded kernel version 2.6.15
Loading initial ramdisk (4017271 bytes at 0x3F802000 phys, 0x40C00000 virt)...
Illegal Instruction
ok

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

There is a general problem that sometimes requires a complete powerdown of the machine. Can you be so kind to do the following:

- powerdown
- boot cdrom

if the problem still persist

- powerdown
- boot from the network.

We do have SunFire v240 at the datacenter and they are running just fine.

If none of the above helps, please try to provide the output of prtconf -p -v from solaris.

Fabio

Revision history for this message
Oibaf (oibaf) wrote :
Download full text (41.4 KiB)

I have done a powerdown and rebooted from cdrom but I always get the same error. I can't try to boot from the network at the moment.

I attach the output of prtconf -p -v

System Configuration: Sun Microsystems sun4u
Memory size: 1024 Megabytes
System Peripherals (PROM Nodes):

Node 0xf00296ec
    boot-retained-page:
    banner-name: 'Sun Fire V240'
    model: 'SUNW,375-3149'
    idprom: 01830003.ba71845d.00000000.71845d3b.f1010a00.00000000.00000000.000000fa
    scsi-initiator-id: 00000007
    stick-frequency: 00b71b00
    clock-frequency: 09f437c0
    breakpoint-trap: 0000007f
    #size-cells: 00000002
    name: 'SUNW,Sun-Fire-V240'
    device_type: 'jbus'

    Node 0xf002c880
        name: 'packages'

        Node 0xf00490f4
            name: 'SUNW,builtin-drivers'

        Node 0xf00558e0
            disk-write-fix:
            name: 'deblocker'

        Node 0xf0055dc4
            name: 'disk-label'

        Node 0xf0056718
            iso6429-1983-colors:
            name: 'terminal-emulator'

        Node 0xf005e2d4
            source: '/flashprom@2,0:'
            name: 'dropins'

        Node 0xf0085ac4
            name: 'kbd-translator'

        Node 0xf00868b4
            name: 'obp-tftp'

        Node 0xf008bcf0
            name: 'SUNW,i2c-ram-device'

        Node 0xf008c560
            name: 'SUNW,fru-device'

        Node 0xf008cd68
            maximum-reason-length: 000000fa
            name: 'SUNW,asr'

        Node 0xf00cd5c0
            support:
            name: 'ufs-file-system'

    Node 0xf002c8f8
        bootargs: 00
        bootpath: '/pci@1c,600000/scsi@2/disk@0,0:a'
        mmu: fff73328
        memory: fff73538
        stdout: fedcd778
        stdin: fedcdc30
        stdout-#lines: ffffffff
        name: 'chosen'

    Node 0xf002c96c
        version: 'OBP 4.11.4 2003/07/23 08:04'
        model: 'SUNW,4.11.4'
        aligned-allocator:
        relative-addressing:
        name: 'openprom'

        Node 0xf002c9fc
            name: 'client-services'

    Node 0xf002cab4
        test-args:
        diag-passes: '1'
        asr-policy: 'normal'
        local-mac-address?: 'true'
        fcode-debug?: 'false'
        silent-mode?: 'false'
        scsi-initiator-id: '7'
        oem-logo:
        oem-logo?: 'false'
        oem-banner:
        oem-banner?: 'false'
        ansi-terminal?: 'true'
        screen-#columns: '80'
        screen-#rows: '34'
        ttyb-rts-dtr-off: 'false'
        ttyb-ignore-cd: 'true'
        ttya-rts-dtr-off: 'false'
        ttya-ignore-cd: 'true'
        ttyb-mode: '9600,8,n,1,-'
        ttya-mode: '9600,8,n,1,-'
        output-device: 'ttya'
        input-device: 'ttya'
        auto-boot-on-error?: 'false'
        load-base: '16384'
        auto-boot?: 'true'
        boot-command: 'boot'
        diag-file:
        diag-device: 'disk0:a'
        boot-file:
        boot-device: 'disk0:a'
        use-nvramrc?: 'false'
        nvramrc:
        security-mode: 'none'
        security-password:
 ...

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Ok thanks. I think there is also an issue in the silo that was used to build that image. I strongly suggest to try Beta release tomorrow (not now!) and/or netinstall. Please also next time use the attach file to bug feature in launchpad instead of pasting an entire file in a comment.

Fabio

Revision history for this message
Oibaf (oibaf) wrote :

I tried the beta of ubuntu-server found here:
http://cdimage.ubuntu.com/ubuntu-server/ports/releases/dapper/beta/ubuntu-server-6.06-beta-install-sparc.iso
but I have again the same problem: Illegal Instruction.

Where can I download the beta netinstall image? Here:
http://ports.ubuntu.com/ubuntu-ports/dists/dapper/main/installer-sparc/current/images/sparc64/netboot/2.6/boot.img
I see the old image from 17 april.

Revision history for this message
Patrick Lougheed (patl) wrote :

I've got the same problem. Machine is a SunFire V240, 1x1GHz, 512MB of RAM, and an XVR-100 video card. I've tried both the breezy mini.iso from:

http://ports.ubuntu.com/ubuntu-ports/dists/breezy/main/installer-sparc/current/images/2.6/mini.iso

and the dapper beta install CD from:

http://cdimage.ubuntu.com/ports/releases/6.06/beta/ubuntu-6.06-beta-install-sparc.iso

The breezy mini.iso gives "Fast Instruction Access MMU Miss," while the dapper install CD gives "Illegal instruction."

(I've tried the netboot tftp images, but both immediately blank the screen after writing "Booting kernel..." - screen goes black, and I'm not sure why. I suspect it starts writing to the terminal, but I don't have a console to try with.)

Solaris isn't currently installed, but I'll try to install and get a prtconf output, if that could help.

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Fabio:

yes that image would do. Please try it.

Patrick:

please find a console cable to test or try to boot with -p option that should print more stuff.

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

it seems to be a silo problem. Netbooting should work just fine.

Fabio

Changed in linux-source-2.6.15:
assignee: fabbione → ben-collins
Revision history for this message
Oibaf (oibaf) wrote :

I have tried netbooting and works fine.
Thanks,
   Fabio

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

This is only a silo bug.

Changed in linux-source-2.6.15:
status: Unconfirmed → Rejected
Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Ben do you have any idea what can go wrong here?

Fabio

Changed in silo:
status: Needs Info → Confirmed
Revision history for this message
Oibaf (oibaf) wrote :

Hi,
I have just completed netinstall. However, after rebooting, I get again the same error:

Rebooting with command: boot
Boot device: disk0:a File and args:
SILO Version 1.4.10
boot:
Linux LinuxOLD
boot: Linux
Allocated 8 Megs of memory at 0x40000000 for kernel
Uncompressing image...
Loaded kernel version 2.6.15
Loading initial ramdisk (6405187 bytes at 0x3E002000 phys, 0x40C00000 virt)...
Illegal Instruction
ok

Revision history for this message
Oibaf (oibaf) wrote :

Hi, seems that this was a problem with my OBP firmware: I have upgraded the OBP from the old 4.11.4 to 4.17.1 and now the system boots fine.
Ciao,
  Fabio

Revision history for this message
Oibaf (oibaf) wrote :

I confirm that with the updated OBP also the cdrom boot works.
Fabio

Revision history for this message
Patrick Lougheed (patl) wrote :

Unfortunately, an OBP upgrade from 4.13.2 to 4.17.1 hasn't solved the CDROM booting issue for me. More errors are now reported:

Loading initial ramdisk....
    ERROR: Last Trap: Illegal Instruction

Error -256
    ERROR: Last Trap: Memory Address Not Aligned

Error -256
Stack Underflow
ok

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Fabio thanks for the report.

Patrick there might still be an issue with silo starting from cdrom. Can you try what the other Fabio suggested? perform netinstall and boot from disk?

This would isolate the bug only when booting from cd.

Thanks a lot
Fabio

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Fix for this problem has been uploaded to both edgy and dapper-updates. There are NO iso that contains the fix yet but it has been tested on SB1000 and v240. The first edgy iso or the first dapper point release will have it.

Fabio

Changed in silo:
assignee: ben-collins → fabbione
status: Confirmed → Fix Committed
Revision history for this message
vince (vincent-delair) wrote :

Same problem with an U10. Upgrading OBP to 3.31 does not solve the problem

Revision history for this message
Frank Fejes (frank) wrote :

Considering that the iso was just released and the point release is probably some time away, doesn't it make sense to release a new iso? Netinstalls are not an option in some environments.

Thanks guys!

Revision history for this message
vince (vincent-delair) wrote :

forget my previous update. powering off / powering on the u10 make the problem diseappeard up to the message
"booting linux..."
Since system is hanged on this message

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

point releases are planned but I am waiting the end of this week where a specification to manage point release has been written down. We are also waiting another kernel with some other fixes too.

Fabio

Revision history for this message
Colin Watson (cjwatson) wrote :

Frank, "release a new iso" equals "point release".

Revision history for this message
chris_debian (cjhandrew) wrote :

Hi,

I have the same problem on an Ultra 10. I have been unable to install any distro based on the 2.6 kernel. It always fails at "Booting Linux....." I note from above that an Edgy version of Ubuntu may be available, I will check this out.

I can install Sarge, Aurora, Gentoo, but not Etch or Dapper.

I do not have a PC that I can try a network install from.

Let me know if I can be of any help.

Cheers,

Chris.

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Fix released in 6.06.1

Changed in silo:
status: Unconfirmed → Rejected
status: Unconfirmed → Rejected
status: Unconfirmed → Rejected
status: Unconfirmed → Fix Released
Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Fix released in 6.06.1

Changed in silo:
status: Fix Committed → Fix Released
Revision history for this message
chris_debian (cjhandrew) wrote : Re: [Bug 40119] Re: SPARC boot failed: Illegal Instruction

Has the fix just been released? I tried the ISO yesterday, and it still
failed.

Thanks,

Chris.

On 13/08/06, Fabio Massimo Di Nitto <email address hidden> wrote:
>
> Fix released in 6.06.1
>
> ** Changed in: silo (Ubuntu)
> Status: Fix Committed => Fix Released
>
> --
> SPARC boot failed: Illegal Instruction
> https://launchpad.net/bugs/40119
>

Revision history for this message
Frank Fejes (frank) wrote :

I have just now tried the 6.06.1 (re-release) cdrom installation on my SunBlade 100 and still see the same illegal instruction error.

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Can you both guys make sure that you have the latest iso? Sparc cd has been re-released (see ubuntu-announcement) due to fuck up in the release script.

Fabio

Revision history for this message
chris_debian (cjhandrew) wrote :

Will do new download, tonight.

Cheers,

Chris.

On 21/08/06, Fabio Massimo Di Nitto <email address hidden> wrote:
>
> Can you both guys make sure that you have the latest iso? Sparc cd has
> been re-released (see ubuntu-announcement) due to fuck up in the release
> script.
>
> Fabio
>
> --
> SPARC boot failed: Illegal Instruction
> https://launchpad.net/bugs/40119
>

Revision history for this message
Thomas Naughton (nau10) wrote :

I have downloaded this file:
http://ubuntu.cs.utah.edu/releases/6.06.1/ubuntu-6.06.1-server-sparc.iso

$ md5sum ubuntu-6.06.1-server-sparc.iso
2ccc1ec608040e6aac8913a016c31bed ubuntu-6.06.1-server-sparc.iso

When it starts booting, it says:

Welcome to Ubuntu dapper!
This is an Ubuntu installation cdrom, built on 20060811.1.

Once I boot from the cdron, I see:
Loaded kernel version 2.6.15
Loading initial ramdisk (4861231 bytes at 0x1F802000 phys, 0x40C00000 virt)...
Illegal Instruction
ok

That's it. Thanks.

Revision history for this message
Frank Fejes (frank) wrote : Re: [Bug 40119] Re: [Bug 40119] Re: SPARC boot failed: Illegal Instruction

In my case, I did use the re-released iso. Thanks.

On 8/21/06, chris_andrew <email address hidden> wrote:
> Will do new download, tonight.
>
> Cheers,
>
> Chris.
>
> On 21/08/06, Fabio Massimo Di Nitto <email address hidden> wrote:
> >
> > Can you both guys make sure that you have the latest iso? Sparc cd has
> > been re-released (see ubuntu-announcement) due to fuck up in the release
> > script.
> >
> > Fabio
> >
> > --
> > SPARC boot failed: Illegal Instruction
> > https://launchpad.net/bugs/40119
> >
>
> --
> SPARC boot failed: Illegal Instruction
> https://launchpad.net/bugs/40119
>

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

It seems that we have more than one bug in silo that ends badly. We were able to fix one and i was sure it was the same as yours.
Apparently it's not so we will need to work more on it.

Fabio

Changed in silo:
status: Fix Released → Needs Info
status: Fix Released → Needs Info
Revision history for this message
Thomas Naughton (nau10) wrote :

Fabio,

Thanks for the update. The system(s) that I am attempting to load onto are all SunBlade 100 models. If there's anything else that could help you, don't hesitate to ask.

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Thomas, thanks. the only real workaround is to perform a netboot/netinstall.

It appears that this bug is strictly related to some OBP versions that do not open/close/release the cdrom properly to silo when performing "boot cdrom".

The fix we did introduce does some special casing to that, but we might have not catched them all.

If you all guys could please provide me with exact model and OBP version, we can probably figure out some more.

Thanks
Fabio

Revision history for this message
Frank Fejes (frank) wrote : Re: [Bug 40119] Re: SPARC boot failed: Illegal Instruction

I am testing on a Sun Blade 100 (P/N 380-0465-01) with OpenBoot 4.5.
Let me know if you need any other info. Thanks!

On 8/22/06, Fabio Massimo Di Nitto <email address hidden> wrote:
> Thomas, thanks. the only real workaround is to perform a
> netboot/netinstall.
>
> It appears that this bug is strictly related to some OBP versions that
> do not open/close/release the cdrom properly to silo when performing
> "boot cdrom".
>
> The fix we did introduce does some special casing to that, but we might
> have not catched them all.
>
> If you all guys could please provide me with exact model and OBP
> version, we can probably figure out some more.
>
> Thanks
> Fabio
>
> --
> SPARC boot failed: Illegal Instruction
> https://launchpad.net/bugs/40119
>

Revision history for this message
Thomas Naughton (nau10) wrote :

Originally, my SunBlade 100 had the firmware:
OBP 4.3.2 2001/08/29
POST 1.2.6 2000/08/30

I've installed patch 111179-04 and is now has:
OBP 4.5.9 2002/02/07
POST 2.0.1 2001/08/23

I attempted the CD install again, and I see the same result. Illegal Instruction.

Revision history for this message
Thomas Naughton (nau10) wrote :

OK, I'm starting to doubt whether this is even possible. While I'd still like to load from CD, I'm game for the Netboot method. I've set up a tftp server and placed a boot.img (http://archive.ubuntu.com/ubuntu/dists/dapper-updates/main/installer-sparc/current/images/sparc64/netboot/2.6/boot.img into the /tftpboot filesystem on the server. I've renamed it properly, and executed a `boot net` from the OK prompt of one of my SunBlade 100s.

It downloads the file, and I see:

Remapping the kernel...done.
Booting Linux...

At this point, it hangs forever. That's a bit of an exaggeration really, I've only waited for a little over an hour. It's definately hard hung, though. An L1-A won't even resurrect it. I need to remove and reattach power.

Has anyone been successful in getting a SunBlade 100 to netboot?

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Thomas can you please report the non-booting kernel as another bug?

While at it please "boot net -p" that should show more log output.

Fabio

Revision history for this message
Thomas Naughton (nau10) wrote :

Ok, I'm further along in my persuit with Ubuntu on my SunBlade 100. After booting with `boot net -p` and having it spew dozens of lines of info that would be nearly impossible to transcribe accurately, I decided to see if it would be possible to set up a serial connection and get to the "ok" prompt. That way I could get my screen buffer setup to capture the information and then open up a "non-booting kernel" as another bug (as Fabio has suggested).

So, a few null modem pinouts later, I have a connection to the serial port. I issue a break, and I'm at an "ok" prompt. At this point, I fiddle with the OBP settings, and issue a `boot net -p`, it continues, and it actually gets to an install screen! The Sun monitor, however, has the

Remapping the kernel...done.
Booting Linux...

stuff still on it's screen. Hmm, maybe it was always sending info out its serial port, and nobody was there to listen?

I go through the install, and it completes. Ok. The Sun monitor and keyboard are still out to lunch, but I have a working "text only" ubuntu linux running on my SunBlade 100 (as long as I have a serial connection). It's on my local network (I can ping/ssh out, but sshd isn't running yet. Baby steps.).

In summary, I guess things are kinda working, but not quite the way that I would have expected. The initial CD problem still exists, but I figured that I'd follow up my current status here.

Revision history for this message
Dave Love (fx-gnu) wrote :

For info:

I see the illegal instruction error at the initrd load from
an attempt to install from cdrom on an Ultra5 270MHz
with OBP 3.11 and 128MB in 4 slots. I'll upgrade
OBP and report results. (This is the 6.06.1 iso.)

Revision history for this message
Jeff Buddington (jbudding) wrote :

Hello-

I had similar problems trying to migrate a Netra t1 with 1GB RAM to Ubuntu 6.06.

Seemed that if the system touched the disk with Solaris then I would get a similar message.

Here is what I did (for information only, use at your own risk) which is pretty straight forward:
-make a note of your boot-device
1. Send L1-A (TeraTerm Pro Alt-B for Break)
2. insert Ubuntu 6.06 cdrom
3. In openboot, type:
setenv boot-device cdrom
3. Completely power off and unplug System.
4. waiting 60 seconds, plug system back in
5. let it boot up to cdrom
6. press enter to install
7. after the install completes, don't forget to set your boot-device back to what it was before:
setenv boot-device disk
8. type: boot

Jeff Buddington
<email address hidden>

It worked fine after this.

Revision history for this message
Bakhtiar (bakhtiar-ahamid) wrote :

hi
successfully installed dapper 6.06.1 on sunfire v280r

http://myzope.kedai.com.my/blogs/kedai/114

things to look out for:

- always cold boot

- if the install stops at Booting Linux, append fb=true

thanks

Revision history for this message
Dave Love (fx-gnu) wrote :

You wrote:

> hi
> successfully installed dapper 6.06.1 on sunfire v280r

Well, that's a different architecture and experience is that it has
different issues. (At least with v2xx, it used to make a difference
how the memory was installed.)

> http://myzope.kedai.com.my/blogs/kedai/114
>
> things to look out for:

Thanks, but I have quite a lot of experience with sparc. I haven't
been able to try that box again, though.

> - always cold boot

That's a SILO bug, and a problem for production systems. I thought it
had been fixed by now for Ultra III, but I now longer have one to try.
Has it been reported as still a problem?

> - if the install stops at Booting Linux, append fb=true

That should be reported too, of course. Graphics problems mainly
occurred on Blade 1[05]0 when I was last involved, but that wasn't the
fix.

It's typically more successful to boot sparc via tftp than CD, but it
shouldn't be, of course.

Revision history for this message
MrRick (bigg1013) wrote :

Had same failure with Ultra10 with it hanging up at the same point. Removed Sun graphics board and used monitor output from system board (motherboard). Was then able to complete installation without a hitch.
 A cold boot helped until I was able to format the hard drive and removed Solaris 10. Cold boot was not required after that.
Hope this helps

Revision history for this message
Dave Love (fx-gnu) wrote :

MrRick <email address hidden> writes:

> Had same failure with Ultra10 with it hanging up at the same
> point. Removed Sun graphics board and used monitor output from
> system board (motherboard). Was then able to complete installation
> without a hitch.

That's not the same failure. There was no extra graphics card in the
box.

> A cold boot helped until I was able to format the hard drive and
> removed Solaris 10. Cold boot was not required after that. Hope
> this helps

It's highly unlikely that having Solaris 10 on the disc is a problem
per se, though when I last knew, Solaris 10 didn't like partitions
made with Debian's fdisk or parted so you couldn't easily run a
dual-boot system as worked with earlier Solaris/Debian.

I hope to be able to have another go with the CD install soon.

Revision history for this message
TexanBrit (paul-rogerson) wrote :

I don't know if it is any help, but this morning I booted a SunBlade 100 formatted with Solaris 8 using the gentoo 2006.1 minimal CD. I installed gentoo using fdisk to partition the disk, but upon reboot the install failed.

Now when I try to boot off the CD (as I did successfully this morning), I get this exact error. Does that give you any clues?

Revision history for this message
capricorn (sajidmumtaz) wrote :

Hi !
     I am also trying to install ubuntu-6.06.1-server-sparc on sun blade 150. I have checked all options like
install ide=nodma
poweroff
install
poweroff
install fb=true
But after all these i got same Illegal Instruction error.
I found in some posts to upgrade OBP .My OBP version is 4.10.6 but its little difficult process. Also i am not getting this netboot thing mentioned above in the posts.
Wat should i do.
Regards.

Revision history for this message
angel (angeloovidi) wrote :

Hi.
I've had the same problem on a dual processor Sun Ultra 60.
After many attempts I've successfully installed Ubuntu Server 6.10 using only the cdrom image. The solution is extremely simple.

1) Power on the machine and insert the CD
2) Press "Stop A" or if you have a PC keyboard "Pause Break + A" in the time in which the machine is in the "Initializing Memory" phase, causing the interruption of the process
3) On the boot shell type: "boot cdrom" and press Return

After that no errors. In my opinion the "Illegal Instruction" error was due to the failure in the initrd loading process in a system in which the memory was almost totally allocated by the machine for other purposes. Probably by the access to a wrong memory address.

Angelo Ovidi

Revision history for this message
capricorn (sajidmumtaz) wrote :

I did that but still the same problem.

Revision history for this message
angel (angeloovidi) wrote :

Hi capricorn,
if you can, and you don't need the LTS version, try using Ubuntu server 6.10. I've made all my tests using that release. I think Ubuntu people committed some bugfixes on SILO since release 6.06.1. The other thing I can suggest is to be sure to intercept the Initalizing Memory process as soon as possible in the boot process.
I wasn't able to understand the problem in deep. It is only a "it works for me" solution :) but I've repeated the procedure many times on Ultra 60 machines with always the same result.
Let me know.

Regards,
Angelo

Revision history for this message
capricorn (sajidmumtaz) wrote :

tell me the link from where i can download the version that works fine for u .

Regards.

Revision history for this message
angel (angeloovidi) wrote :

Hi.
You can download the 6.10 (for Sparc) version from one of the Ubuntu Server mirrors. For example this:

http://ie.releases.ubuntu.com/edgy/ubuntu-6.10-server-sparc.iso

Regards,
Angelo

Revision history for this message
capricorn (sajidmumtaz) wrote :

Hi !
     It passes the Illegal instruction stage and next messages i got are

Remapping the Kernel ... done
Booting Linux ..

But its stuck there n its been 20 minutes that it not processing anything.
any idea ?

Revision history for this message
angel (angeloovidi) wrote :

Hi.
Great. Regarding this second error refer to this post above:

https://launchpad.net/ubuntu/+source/silo/+bug/40119/comments/41

At the SILO prompt use:

install fb=true

Let me know.

Regards,
Angelo

Revision history for this message
capricorn (sajidmumtaz) wrote :

HI !
       I did that i.e install fb=true
but its still there from 25 minutes. I even tried install ide=nodma but same problem.

Regards.

Revision history for this message
capricorn (sajidmumtaz) wrote :

Now its been 4 hours n its still there Booting Linux ...

Revision history for this message
angel (angeloovidi) wrote :

Hi Alex.
I'll try to make some test on my machines.
Actually I have no answers :(

Angel

Nagilum wrote:
> Hi,
> I just updated to the latest firmware (from 3.17 to the latest and
> greatest 3.31, POST 2.0.2 to 2.0.3).
> Now I get a bit further, the screen goes black then the fb
> initialisation works, the kernel says it can't find a PC rtc then
> another line and the screen is cleared.
> I see a cursor (I think it is) at the bottom of the screen and thats it.
> Kind regards,
> Alex.

Revision history for this message
angel (angeloovidi) wrote :

Hi.
No idea why...
Do you have a Creator3D card on the machine? In this case I've heard
that a work around to this is setting the ATI Mach64 as the screen alias
within nvram. But I can't tell you something more...

Angelo

capricorn wrote:
> Now its been 4 hours n its still there Booting Linux ...
>

Revision history for this message
capricorn (sajidmumtaz) wrote :

no i dont have any creator card or any thing else .

Regards.

Revision history for this message
kyosuke (kyosuke80) wrote :

I'm installing ubuntu 6.06.1 (from here: http://na.mirror.garr.it/mirrors/ubuntu-releases/dapper/ubuntu-6.06.1-server-sparc.iso) by CDROM on a Sun Ultra 10 with Sparc64.
To avoid the problem of SILO, i've booted the machine using the Installation CD of ubuntu 6.10, and when SILO "boot:" prompt appear i've changed the disk to ubuntu 6.06.1 release and then i'm able to install it.
I've not yet started the X server Interface (That i was not able to start on ubuntu 6.10) cause i'm downloading the ubuntu-desktop pack with gnome Interface, but i hope with this release could it work.
If you need more information ask me.
Thanks all
Bye

Federico

Revision history for this message
angel (angeloovidi) wrote :

Nice trick Federico!

;)

Angelo

kyosuke wrote:
> I'm installing ubuntu 6.06.1 (from here: http://na.mirror.garr.it/mirrors/ubuntu-releases/dapper/ubuntu-6.06.1-server-sparc.iso) by CDROM on a Sun Ultra 10 with Sparc64.
> To avoid the problem of SILO, i've booted the machine using the Installation CD of ubuntu 6.10, and when SILO "boot:" prompt appear i've changed the disk to ubuntu 6.06.1 release and then i'm able to install it.
> I've not yet started the X server Interface (That i was not able to start on ubuntu 6.10) cause i'm downloading the ubuntu-desktop pack with gnome Interface, but i hope with this release could it work.
> If you need more information ask me.
> Thanks all
> Bye
>
> Federico
>

Revision history for this message
Pete (pete-doh-clapham) wrote :

SunBlade 1500, OBP 4.17.1 gives the same errors reported by Patrick above. Cold reboot makes no difference. OBP 4.9.5 would allow for a cold boot using netinst. NB Same error results using Etch release on this hardware.

Pete

Revision history for this message
Christian Kujau (christiank) wrote :

FWIW, we had the same errors on a Sun E420R (TI UltraSparc II (BlackBird)), OBP was at v3.23.
An upgrade to its latest version available (OBP 3.31.0 2001/07/25 20:35) made the error go away, system is booting fine now with silo 1.4.13-1.

Revision history for this message
Nicola (nicolamrs) wrote :

Hi, i have the same problem when i try to install ubuntu server 7.04 on sun v240 with silo version 1.4.13 and OBP 4.22.28.
Any suggestion?

Revision history for this message
Nicola (nicolamrs) wrote :

I resolve using setenv boot-device cdrom and power off the system.
boot cdrom doesn't work.

Revision history for this message
Pete (pete-doh-clapham) wrote :

Hello Nicola,

I think I've finally got somewhere...

Latest 4.17.1 OBP was installed (but no real benefit there on the SB1500) BUT setting the boot env to use cdrom disk net and then power off the system (remove plug as well !), The reboot with cd in place did allow me to boot etch and all then went pretty well (except for lack of XVR500 display drivers :-) )

Hope this helps....

Pete

Nicola <email address hidden> wrote: Hi, i have the same problem when i try to install ubuntu server 7.04 on sun v240 with silo version 1.4.13 and OBP 4.22.28.
Any suggestion?

--
SPARC boot failed: Illegal Instruction
https://bugs.launchpad.net/bugs/40119
You received this bug notification because you are a direct subscriber
of the bug.

---------------------------------
 Yahoo! Mail is the world's favourite email. Don't settle for less, sign up for your freeaccount today.

Revision history for this message
Pete (pete-doh-clapham) wrote :

:-)

looks like our mails crossed in the post.

Congrats !

Pete

Nicola <email address hidden> wrote: I resolve using setenv boot-device cdrom and power off the system.
boot cdrom doesn't work.

--
SPARC boot failed: Illegal Instruction
https://bugs.launchpad.net/bugs/40119
You received this bug notification because you are a direct subscriber
of the bug.

---------------------------------
 Yahoo! Answers - Get better answers from someone who knows. Tryit now.

Revision history for this message
Pete (pete-doh-clapham) wrote :

Hello Christian,

Thanks for the mail.

Managed to get it to fly (with Debian etch) by setting boot env to cdrom disk net, poweroff completely and allow to beet from cdrom.

Obviously I'm assuming thay the colour of my trousers or the fact I was standing on one legs and holding a chicken in my left hand at the time played no part in the success :-)

Good luck

Pete

Christian <email address hidden> wrote: FWIW, we had the same errors on a Sun E420R (TI UltraSparc II (BlackBird)), OBP was at v3.23.
An upgrade to its latest version available (OBP 3.31.0 2001/07/25 20:35) made the error go away, system is booting fine now with silo 1.4.13-1.

--
SPARC boot failed: Illegal Instruction
https://bugs.launchpad.net/bugs/40119
You received this bug notification because you are a direct subscriber
of the bug.

---------------------------------
 Yahoo! Mail is the world's favourite email. Don't settle for less, sign up for your freeaccount today.

Revision history for this message
stuartbh (stuartbh) wrote :

Ubuntu users:

I am planning on installing Ubuntu 7.04 Server upon a Sun Blade 100 with 256MB of RAM on it and a 20GB HD (it will get expanded in terms of RAM and HD, once I see this puppy working!).\

I have read a lot about boot up problems, what can I expect?

Anyone know what the latest OBP version is for the SunBlade 100 (or how to get it and install it)?

Same questions for a Sun Enterprise 450 (E450) as well...

Stuart, N3GWG
(310) 358-0202
<email address hidden>

Revision history for this message
Christian Kujau (christiank) wrote :

> Sun Blade 100 with 256MB of RAM on it and a 20GB HD
> (it will get expanded in terms of RAM and HD, once I see this puppy working!).\
> I have read a lot about boot up problems, what can I expect?

Since this bug is not closed, no one can really tell if it'll hit your setup ....but hopefully it won't.

> Anyone know what the latest OBP version is for the SunBlade 100 (or how to get it and install it)?
> Same questions for a Sun Enterprise 450 (E450) as well...

http://sunsolve.sun.com/handbook_pub/Systems/SunBlade100/SunBlade100.html
http://sunsolve.sun.com/handbook_pub/Systems/E450/E450.html

Changed in silo:
assignee: fabbione → phillip-lougher
Revision history for this message
MS (murali-murugavel) wrote :

Hello-

1/3 : I could not get myself to throw away a SunBlade 100 from my school lab AND I am a novice when it comes to computers.

2/3 : I initially had the 'Illegal instruction' problem when I simply booted through the CDROM :
Allocated 8 Megs of memory at 0x40000000 for kernel
Uncompressing image...
Loaded kernel version 2.6.15
Loading initial ramdisk (6405187 bytes at 0x3E002000 phys, 0x40C00000 virt)...
Illegal Instruction

3/3 : , BUT, Thanks to Jeff Buddington's post attached below. I was able to install Ubuntu 6.06 LTS server edition without *any* problem.

Murali Murugavel.

Hello-

I had similar problems trying to migrate a Netra t1 with 1GB RAM to Ubuntu 6.06.

Seemed that if the system touched the disk with Solaris then I would get a similar message.

Here is what I did (for information only, use at your own risk) which is pretty straight forward:
-make a note of your boot-device
1. Send L1-A (TeraTerm Pro Alt-B for Break)
2. insert Ubuntu 6.06 cdrom
3. In openboot, type:
setenv boot-device cdrom
3. Completely power off and unplug System.
4. waiting 60 seconds, plug system back in
5. let it boot up to cdrom
6. press enter to install
7. after the install completes, don't forget to set your boot-device back to what it was before:
setenv boot-device disk
8. type: boot

Jeff Buddington
<email address hidden>

It worked fine after this.

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for silo (Ubuntu Dapper) because there has been no activity for 60 days.]

Revision history for this message
Oscar (ob-system) wrote :

Hi

In the mail-list of debian say:

the debian installer no boot in machine with more 1 US IIIi o IIi

guy of ubuntu

Help

Oscar

Revision history for this message
Phillip Lougher (phillip-lougher) wrote :

From the comments it looks like a partial fix has been found, and as there's been no activity for nearly three months I'm marking this as won't fix.

Changed in silo:
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers